# SPDX-License-Identifier: GPL-3.0-or-later
#
# Makefile.am for GNUtrition
#
# Copyright (C) 2026 Free Software Foundation, Inc.
#
# Author: Jason Self <jself@gnu.org>
#         Anton McClure <asm@gnu.org>

bin_PROGRAMS = gnutrition
gnutrition_datadir = $(datadir)/gnutrition

gnutrition_data_DATA = food.db

doc_DATA = \
	AUTHORS \
	ChangeLog \
	ChangeLog.OLD \
	COPYING \
	gnutrition.html \
	INSTALL \
	NEWS \
	README

AM_CPPFLAGS = -DPKGDATADIR=\"$(pkgdatadir)\" -I$(srcdir) -DLOCALEDIR=\"$(localedir)\" -DGNUTRITION_DATADIR=\"$(gnutrition_datadir)\"
AM_CFLAGS = -Wall -Wextra -pedantic $(SQLITE3_CFLAGS) $(GTK_CFLAGS) $(GIO_CFLAGS)

gnutrition_SOURCES = \
	main.c \
	gui.c \
	db.c \
	budget.c \
	log.c

gnutrition_LDADD = $(SQLITE3_LIBS) $(GTK_LIBS) $(GIO_LIBS) -lm

EXTRA_DIST = \
	budget.h \
	db.h \
	gui.h \
	i18n.h \
	log.h \
	NEWS \
	ChangeLog \
	ChangeLog.OLD \
	gnutrition.html \
	food.db
